# This scrip retrieves data from internet.

# Load packages into R session
library(quantmod)  
library(tseries)  
library(vars)  


# Collect historical from Yahoo!
# Returns a 'xts' object
get_data <- function(symbols, date.from, date.to) {
  
  data.env <- new.env()
  getSymbols(Symbols = symbols,  src = "yahoo", from = date.from, to = date.to, periodicity = "daily", env=data.env)
  
  data <- get(ls(data.env), envir = data.env)
  
  # For NA Last Observation Carried Forward
  data <- na.locf(data) 
  
  # Detele NA
  data <- na.omit(data)
  
  # Create subsets of weeks, months, quartes and years from daily data.
  # data0weeks <<- data[xts:::startof(data, "weeks")]
  # data0months <<- data[xts:::startof(data, "months")]
  # data0quarters <<- data[xts:::startof(data, "quarters")]
  # data0years <<- data[xts:::startof(data, "years")]
  
  # Print data
  # print(paste("data"))
  # print(dim(data))
  # print(names(data))
  # print(head(data))
  # print(tail(data))
  
  return(data)
}